Name:         multipath-tools
URL:          http://christophe.varoqui.free.fr/multipath-tools/
License:      GPLv2
Group:        System/Kernel and hardware
Version:      0.4.9
Release:      %mkrel 3
Summary:      Tools to manage multipathed devices with the device-mapper
Source:       http://christophe.varoqui.free.fr/multipath-tools/%name-%version.tar.bz2
Source1:      multipathd.init.bz2
# kpartx: add -u flag, needed by dracut/systemd
Patch0:	      multipath-tools-implement-update-option-for-kpartx.patch
# (cjw) install udev rules in %{_udevrulesdir}
Patch1:       multipath-tools-0.4.9-udevrulesdir.patch

Requires:     dmsetup
Requires:     kpartx = %{version}
Conflicts:    kpartx < 0.4.8-16
BuildRequires:	libdevmapper-devel
BuildRequires:  libsysfs-devel
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  libaio-devel
Requires(preun):rpm-helper
Requires(post):	rpm-helper


%description
This package provides the tools to manage multipathed devices by
instructing the device-mapper multipath module what to do. The tools
are:

- multipath: scan the system for multipathed devices, assembles them
  and update the device-mapper's maps

- multipathd: wait for maps events, then execs multipath

- devmap-name: provides a meaningful device name to udev for devmaps

- kpartx: maps linear devmaps upon device partitions, which makes
  multipath maps partionable

%package -n kpartx
Summary: Partition device manager for device-mapper devices
Group: System/Kernel and hardware
Conflicts: multipath-tools < 0.4.8-16

%description -n kpartx
kpartx manages partition creation and removal for device-mapper devices.

%prep
%setup -q
%patch0 -p1 -b .kpartx-update
%patch1 -p1 -b .udevrulesdir

%build
# parallel build support is broken:
make BUILD="glibc"

%install
rm -fR $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/etc/hotplug.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d
bzip2 -dc %{SOURCE1} > $RPM_BUILD_ROOT/etc/init.d/multipathd
chmod 755 $RPM_BUILD_ROOT/etc/init.d/multipathd

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%_preun_service multipathd

%post
%_post_service multipathd

%files
%defattr(-,root,root,755)
%doc AUTHOR COPYING README* ChangeLog FAQ multipath.conf.*
%config(noreplace) /etc/init.d/multipathd
%config(noreplace) %{_udevrulesdir}/multipath.rules
/sbin/multipath
/sbin/multipathd
%_mandir/man?/multipath*
%dir /%{_lib}/multipath/
/%{_lib}/multipath/*
/%{_lib}/libmultipath*

%files -n kpartx
%defattr(-,root,root,-)
/sbin/kpartx
%{_udevrulesdir}/kpartx.rules
/lib/udev/kpartx_id
%{_mandir}/man8/kpartx.8*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4.9-3.mga4
+ Revision: 515103
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 cjw <cjw> 0.4.9-2.mga3
+ Revision: 373449
- move udev rules files to _udevrulesdir

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 tmb <tmb> 0.4.9-1.mga2
+ Revision: 220346
- drop merged patches
- update to 0.4.9

* Mon Feb 20 2012 tmb <tmb> 0.4.8-18.1.mga2
+ Revision: 211095
- kpartx: implement update option (-u) (mga #3960)

* Sat Jan 15 2011 blino <blino> 0.4.8-18.mga1
+ Revision: 19123
- imported package multipath-tools


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.8-18mdv2011.0
+ Revision: 606670
- rebuild

* Sat Feb 20 2010 Thomas Backlund <tmb@mandriva.org> 0.4.8-17mdv2010.1
+ Revision: 508762
- kpartx: deal with more than 256 minor numbers
- kpartx.rules: use current name of the device node

* Fri Feb 19 2010 Thomas Backlund <tmb@mandriva.org> 0.4.8-16mdv2010.1
+ Revision: 508452
- fix kpartx udev rule for dmraid
- move kpartx.rules and kpartx_id from multipath-tools to kpartx rpm

* Thu Aug 20 2009 Anssi Hannula <anssi@mandriva.org> 0.4.8-15mdv2010.0
+ Revision: 418368
- fix duplicated files between multipath-tools and kpartx
- require kpartx in multipath-tools

* Mon Aug 17 2009 Pascal Terjan <pterjan@mandriva.org> 0.4.8-14mdv2010.0
+ Revision: 417272
- Fix kpartx extended partition handling fix

* Tue Jul 28 2009 Pascal Terjan <pterjan@mandriva.org> 0.4.8-12mdv2010.0
+ Revision: 401386
- Avoid failure when pp_hp_sw gets installed before other executables
- Bump release due to misterious build failure
- Add missing conflict and drop useless provide

* Mon Jul 27 2009 Pascal Terjan <pterjan@mandriva.org> 0.4.8-9mdv2010.0
+ Revision: 400518
- Fix group of kpartx
- Split kpartx in a separate package, so that mkinitrd can require only it

* Mon Jul 20 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.4.8-8mdv2010.0
+ Revision: 398031
- Updated init script to be LSB-compliant.

* Sun Jul 19 2009 Pascal Terjan <pterjan@mandriva.org> 0.4.8-7mdv2010.0
+ Revision: 397455
- Fix correctly scsi_id usage
- Add a few fedora patches (#52270, CVE-2009-0115)

* Tue Mar 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.8-5mdv2009.1
+ Revision: 356300
- rebuild for latest readline

* Mon Sep 29 2008 Thierry Vignaud <tv@mandriva.org> 0.4.8-4mdv2009.0
+ Revision: 289765
- include more doc (per #43925 request)
- make service executable (#43925)
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 22 2007 Thierry Vignaud <tv@mandriva.org> 0.4.8-1mdv2008.1
+ Revision: 101331
- adjust file list
- patch 0: fix build
- BuildRequires:  libaio-devel
- new release


* Sat Nov 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.7-5mdv2007.0
+ Revision: 87151
- Import multipath-tools

* Sat Nov 25 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.7-5mdv2007.1
- rebuild for libdevmapper

* Mon Jul 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.7-4mdv2007.0
- rebuild for libdevmapper

* Wed May 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.7-3mdk
- fix buildrequires (thus fixing x86_64 build with iurt)

* Wed Apr 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.7-2mdk
- fix buildrequires

* Fri Mar 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.7-1mdk
- new release

* Wed Dec 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.6-2mdk
- Fix BuildRequires

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.4.6-1mdk
- new release
- drop patch 0 (now useless)

* Wed Jun 29 2005 Pascal Terjan <pterjan@mandriva.org> 0.4.2.7-3mdk
- BuildRequires libdevmapper-devel
- PreReq -> Requires(post)

* Sat Mar 05 2005 Luca Berra <bluca@vodka.it> 0.4.2.7-2mdk 
- rebuild for new libdevmapper
- use a mandrakelinux initscript
- specfile cleanup

* Thu Jan 20 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.2.7-1mdk
- new release
- automatically updatable
- patch 0: fix build

* Thu Dec 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.2.0-1mdk
- new release

* Thu Nov 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-1mdk
- new release

* Fri Nov 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.6-1mdk
- initial releaee

